import request from '@/utils/request'

// 查询muyu列表
export function listBook(query) {
  return request({
    url: '/system/book/list',
    method: 'get',
    params: query
  })
}

// 查询muyu详细
export function getBook(id) {
  return request({
    url: '/system/book/' + id,
    method: 'get'
  })
}

// 新增muyu
export function addBook(data) {
  return request({
    url: '/system/book',
    method: 'post',
    data: data
  })
}

// 修改muyu
export function updateBook(data) {
  return request({
    url: '/system/book/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除muyu
export function delBook(id) {
  return request({
    url: '/system/book/' + id,
    method: 'delete'
  })
}
